Subject: Re: [PATCH] switch sdla to initcalls

From: Andi Kleen <[email-masked]>
Date: Wed, 21 May 2003 12:31:23 +0200

On Wed, 21 May 2003 01:34:53 -0700 (PDT)
"David S. Miller" <[email-masked]> wrote:

> I have to admit that I must feign ignorance here.  And that someone
> who really understands the EISA/ISA probe ordering requirements
> should document them as best as possible in Space.c

I doubt anybody understands it. It is just lots of hard earned ad-hoc 
experience distilled in these files.

It's basically untestable/unknown because you'll likely have a hard time
to find such a card anymore. And even if you had you would need the other
ISA cards that could possible conflicts to test all combinations - impossible
task. For such unsolvable problems it is best to leave it untouched because it
cannot be tested. Either that or remove the driver completely.

-Andi